﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WpfApplication191.ViewModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.DragDrop;
using Infragistics.Controls.Grids;

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

      

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            SelectedRowsCollection src = e.Data as SelectedRowsCollection;
            VM vm = Application.Current.Resources["vm"] as VM;
            foreach (Row r in src)
            {
               

                 Team t = r.Data as Team;
                  vm.Teams.Remove(t);
                  CellControl c = e.DropTarget as CellControl;
                  League l = c.Cell.Row.Data as League;
                  l.Teams.Add(t);
                 

            }
           
        }

       
        private void DragSource_DragOver(object sender, Infragistics.DragDrop.DragDropMoveEventArgs e)
        {
            if (e.DropTarget is CellControl)
            {
                CellControl c = e.DropTarget as CellControl;
                e.OperationType = OperationType.Copy;

            }
            else e.OperationType = OperationType.DropNotAllowed;
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            Window1 w1 = new Window1();
            w1.Show();
        }

        private void DragSource_DragEnter(object sender, DragDropCancelEventArgs e)
        {
            XamGrid xg = e.DragSource as XamGrid;
            if (xg.SelectionSettings.SelectedRows.Count == 0)
            {
                e.Cancel = true;
            }
            else
            {
                e.Data = xg.SelectionSettings.SelectedRows;
            }
        }
    }
}
